// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <memory>

#include <gloox/client.h>
#include <gloox/messagehandler.h>
#include <gloox/message.h>

#include "config.h"

class Message : public gloox::MessageHandler {
public:
    Message(const std::shared_ptr<Config>& config, const std::shared_ptr<gloox::Client>& client);
    ~Message();

    void handleMessage(const gloox::Message& message, gloox::MessageSession* session = 0) override;

private:
    std::weak_ptr<Config> config;
    std::weak_ptr<gloox::Client> client;
};
